# Class CytoBands

java.lang.Object
org.snpeff.interval.CytoBands

public class CytoBands extends Object
Cytband definitions E.g.: http://hgdownload.soe.ucsc.edu/goldenPath/hg38/database/cytoBand.txt.gz

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CYTOBAND_BED_FILE`

## Constructor Summary

Constructors
Constructor
Description
`CytoBands(Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Marker m)`
`void`
`build()`
`boolean`
`isEmpty()`
`Markers`
`query(Marker marker)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_CYTOBAND_BED_FILE

public static final String DEFAULT_CYTOBAND_BED_FILE

See Also:
  - Constant Field Values

## Constructor Details

### CytoBands

public CytoBands(Genome genome)

## Method Details

### add

public void add(Marker m)

### build

public void build()

### isEmpty

public boolean isEmpty()

### query

public Markers query(Marker marker)

### toString

public String toString()

Overrides:
  `toString` in class `Object`